### Method

# Clutter Actor get_clip

#### Declaration [src]

    void
    clutter_actor_get_clip (
      ClutterActor* self,
      gfloat* xoff,
      gfloat* yoff,
      gfloat* width,
      gfloat* height
    )

#### Description [src]

Gets the clip area for `self`, if any is set.

#### Parameters

`xoff`

  Type: `gfloat*`

  Return location for the X offset of the clip rectangle, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`yoff`

  Type: `gfloat*`

  Return location for the Y offset of the clip rectangle, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`width`

  Type: `gfloat*`

  Return location for the width of the clip rectangle, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `gfloat*`

  Return location for the height of the clip rectangle, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.